##
## Copyright (c) 2006 Jason Dillon
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##

##
## $Id: //guest/jason_dillon/p4spam/main/pylib/perforce/commands/_print.py#2 $ $Date: 2006/04/12 $
##

from perforce import P4Field, P4Code, P4Exception
from perforce.commands import RawResultCommand

COMMAND_NAME = "print"

##
## PrintCommand
##

class PrintCommand(RawResultCommand):
    def __init__(this, p4):
        RawResultCommand.__init__(this, COMMAND_NAME, p4)
    
    def isValid(this, lines):
        header = lines[0]
        
        return not (
            header.endswith('no such file(s).\n') or \
            header.endswith('no file(s) at that revision.')
        )

##
## perforce.commands factory interface
##

def create(p4):
    return PrintCommand(p4)

